summaryrefslogtreecommitdiff
path: root/test/utils
diff options
context:
space:
mode:
authorMatt Clay <mclay@redhat.com>2020-02-25 23:18:50 -0800
committerGitHub <noreply@github.com>2020-02-25 23:18:50 -0800
commite3591223a042caa537fcc88cf7553227b8657f70 (patch)
tree137991b3e16fb757859fcbbeafd93d7d46ef2a7b /test/utils
parenta19ae28326ce861c0eeae803e939050b5bcd64bd (diff)
downloadansible-e3591223a042caa537fcc88cf7553227b8657f70.tar.gz
Second batch of incidental integration tests. (#67765)
* Update incidental test aliases. * Rewrite target references for renamed targets. * Add incidental tests to CI. * Update sanity tests for incidental cloud tests. * Initial copy of incidental tests. * Copy contrib files into test. * Update paths in test. * Add support plugins. * Update plugin to work around missing deps. * Update sanity ignores. * Fix matrix entries. * Remove debug echo.
Diffstat (limited to 'test/utils')
l---------test/utils/shippable/incidental/aws.sh1
l---------test/utils/shippable/incidental/azure.sh1
-rwxr-xr-xtest/utils/shippable/incidental/cloud.sh41
l---------test/utils/shippable/incidental/cs.sh1
l---------test/utils/shippable/incidental/hcloud.sh1
l---------test/utils/shippable/incidental/tower.sh1
l---------test/utils/shippable/incidental/vcenter.sh1
7 files changed, 47 insertions, 0 deletions
diff --git a/test/utils/shippable/incidental/aws.sh b/test/utils/shippable/incidental/aws.sh
new file mode 120000
index 0000000000..700ad3edcf
--- /dev/null
+++ b/test/utils/shippable/incidental/aws.sh
@@ -0,0 +1 @@
+cloud.sh \ No newline at end of file
diff --git a/test/utils/shippable/incidental/azure.sh b/test/utils/shippable/incidental/azure.sh
new file mode 120000
index 0000000000..700ad3edcf
--- /dev/null
+++ b/test/utils/shippable/incidental/azure.sh
@@ -0,0 +1 @@
+cloud.sh \ No newline at end of file
diff --git a/test/utils/shippable/incidental/cloud.sh b/test/utils/shippable/incidental/cloud.sh
new file mode 100755
index 0000000000..fdf8668acf
--- /dev/null
+++ b/test/utils/shippable/incidental/cloud.sh
@@ -0,0 +1,41 @@
+#!/usr/bin/env bash
+
+set -o pipefail -eux
+
+declare -a args
+IFS='/:' read -ra args <<< "$1"
+
+cloud="${args[0]}"
+python_version="${args[1]}"
+
+target="shippable/${cloud}/incidental/"
+
+stage="${S:-prod}"
+
+# python versions to test in order
+# all versions run full tests
+python_versions=(
+ 2.7
+ 3.6
+)
+
+if [ "${python_version}" ]; then
+ # limit tests to a single python version
+ python_versions=("${python_version}")
+fi
+
+for python_version in "${python_versions[@]}"; do
+ # terminate remote instances on the final python version tested
+ if [ "${python_version}" = "${python_versions[-1]}" ]; then
+ terminate="always"
+ else
+ terminate="never"
+ fi
+
+ # shellcheck disable=SC2086
+ ansible-test integration --color -v --retry-on-error "${target}" ${COVERAGE:+"$COVERAGE"} ${CHANGED:+"$CHANGED"} ${UNSTABLE:+"$UNSTABLE"} \
+ --remote-terminate "${terminate}" \
+ --remote-stage "${stage}" \
+ --enable-test-support \
+ --docker --python "${python_version}"
+done
diff --git a/test/utils/shippable/incidental/cs.sh b/test/utils/shippable/incidental/cs.sh
new file mode 120000
index 0000000000..700ad3edcf
--- /dev/null
+++ b/test/utils/shippable/incidental/cs.sh
@@ -0,0 +1 @@
+cloud.sh \ No newline at end of file
diff --git a/test/utils/shippable/incidental/hcloud.sh b/test/utils/shippable/incidental/hcloud.sh
new file mode 120000
index 0000000000..700ad3edcf
--- /dev/null
+++ b/test/utils/shippable/incidental/hcloud.sh
@@ -0,0 +1 @@
+cloud.sh \ No newline at end of file
diff --git a/test/utils/shippable/incidental/tower.sh b/test/utils/shippable/incidental/tower.sh
new file mode 120000
index 0000000000..700ad3edcf
--- /dev/null
+++ b/test/utils/shippable/incidental/tower.sh
@@ -0,0 +1 @@
+cloud.sh \ No newline at end of file
diff --git a/test/utils/shippable/incidental/vcenter.sh b/test/utils/shippable/incidental/vcenter.sh
new file mode 120000
index 0000000000..700ad3edcf
--- /dev/null
+++ b/test/utils/shippable/incidental/vcenter.sh
@@ -0,0 +1 @@
+cloud.sh \ No newline at end of file